using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Serialization;
using System.Web;
using WebPart = Microsoft.SharePoint.WebPartPages.WebPart;

namespace WebPartLibrary
{
    [XmlRoot(Namespace = "WebPartLibrary"),
  ToolboxData("<{0}:UserControlProxyWebPart runat=server></{0}:UserControlProxyWebPart>")]
    public class ConnectableConsumer: WebPart
    {
        private Label _label = null;

        private ComplicatedData _complicatedData = null;
       
        [ConnectionConsumer("Complicated data Consumer", "complicatedDataConsumer")]
        public void GetComplicatedData(ComplicatedData data)
        {
            _complicatedData = data;
        }

        protected override void CreateChildControls()
        {
            _label = new Label();
            _label.Text = "Consumer";
            Controls.Add(_label);
        }

        protected override void OnPreRender(EventArgs e)
        {
            if (_complicatedData != null)
                _label.Text = string.Format("{0} {1}", _complicatedData.ANumber, _complicatedData.SomeText);
            else
                _label.Text = "Null Data";
                         
        }

    }
}
