using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Xml.Serialization;
using Microsoft.SharePoint.WebPartPages;

namespace WebPartLibrary
{
    [XmlRoot(Namespace = "WebPartLibrary"),
    ToolboxData("<{0}:UserControlProxyWebPart runat=server></{0}:UserControlProxyWebPart>")]
    public class SimplePart : WebPart
    {
        private TextBox _textBox = null;
        private Button _btnClick = null;

        private string _someProperty = string.Empty;

        [Browsable(true)]
        [Category("My Custom Category")]
        [FriendlyName("Some Property")]        
        public string SomeProperty
        {
            get { return _someProperty; }
            set { _someProperty = value;}
        }


        protected override void CreateChildControls()
        {
            try
            {
                _textBox = new TextBox();
                _btnClick = new Button();
                _btnClick.Text = "Click Me";

               _btnClick.Click += new EventHandler(_btnClick_Click);

                Controls.Add(_textBox);
                Controls.Add(_btnClick);


                base.CreateChildControls();
            }
            catch (Exception ex)
            {
                System.Web.HttpContext.Current.Response.Write(ex.Message + " - " + ex.StackTrace);
            }
        }

        void _btnClick_Click(object sender, EventArgs e)
        {
            try
            {
                _textBox.Text = SomeProperty + DateTime.Now.ToString();
            }
            catch (Exception ex)
            {
                System.Web.HttpContext.Current.Response.Write(ex.Message + " - " + ex.StackTrace);
            }
        }

    }
}
